unit Unit1;

interface

uses
  SysUtils, Classes, HTTPApp, mWebLogin;

type
  TWebModule1 = class(TWebModule)
    mWebLogin1: TmWebLogin;
    procedure WebModule1WebActionItem1Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModule1WebActionItem2Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModule1WebActionItem3Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;

const
  LoginOK = '<font face=verdana size=-1 color=blue><b>Login OK</b></font>';
  LoginNotOK = '<font face=verdana size=-1 color=red><b>Login not OK</b></font>';

implementation

{$R *.dfm}

procedure TWebModule1.WebModuleCreate(Sender: TObject);
begin
  mWebLogin1.Action:= '/cgi-bin/demo.cgi/validate';
  mWebLogin1.UserName:= 'mas';
  mWebLogin1.Password:= 'delphi';
  mWebLogin1.Cookie.APath:= '/cgi-bin/';
  // Kill cookie when user exit the browser.
  mWebLogin1.Cookie.AExpires:= -1;
end;

// Default action. Show the login dialog.
procedure TWebModule1.WebModule1WebActionItem1Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.Content:= mWebLogin1.Content;
end;

// Validate action. Validate the login.
procedure TWebModule1.WebModule1WebActionItem2Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  if mWebLogin1.ValidateLoginSetCookieIfOK(Request, Response) then
    Response.Content:= LoginOK
  else
    Response.Content:= LoginNotOK;
end;

// Check action. Check if cookie is present whenever needed.
procedure TWebModule1.WebModule1WebActionItem3Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  if mWebLogin1.CheckCookie(Request) then
    Response.Content:= LoginOK
  else
    Response.Content:= LoginNotOK;
end;

end.
