unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Registry;

type
  TSetupForm = class(TForm)
    Label5: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SetupForm: TSetupForm;

implementation

{$R *.dfm}

procedure TSetupForm.FormCreate(Sender: TObject);
var
  Reg: TRegistry;
begin
  Reg:= TRegistry.Create;
  try
    Reg.RootKey:= HKEY_CURRENT_USER;
    if Reg.KeyExists('\software\mas prod.\TmMailer') then
    begin
      if Reg.OpenKey('\software\mas prod.\TmMailer', false) then
      begin
          Edit1.Text:= Reg.ReadString('Host');
          Edit2.Text:= Reg.ReadString('UserId');
          Edit3.Text:= Reg.ReadString('Password');
      end;
    end
    else
    begin
      if Reg.OpenKey('\software\mas prod.\TmMailer', true) then
      begin
          Edit1.Text:= '<your provider>';
          Edit2.Text:= '<your userid>';
          Edit3.Text:= '<your password>';
          Reg.WriteString('Host', '<your provider>');
          Reg.WriteString('UserId', '<your userid>');
          Reg.WriteString('Password', '<your password>');
      end;
    end;
  finally
    Reg.Free;
  end;
end;

end.
