unit LinkAliasEditor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DesignIntf, TypInfo, StdCtrls, Designeditors, Grids, ValEdit;

type
  TfmLinkAliasEdit = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ValueList: TValueListEditor;
    Button3: TButton;
    Button4: TButton;
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

TLinkAliasProperty = class(TStringProperty)
public
  function GetAttributes: TPropertyAttributes; override;
  procedure Edit; override;
end;

procedure Register;

var
  fmLinkAliasEdit: TfmLinkAliasEdit;

implementation
uses mLinkCombo;

{$R *.DFM}

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TLinkAlias), TmLinkCombo, 'LinkAlias', TLinkAliasProperty);
end;

{ TCaptionProperty }

procedure TLinkAliasProperty.Edit;
begin
  with TfmLinkAliasEdit.Create(Application) do
  try
    ValueList.Strings.Text := GetStrValue;
    ShowModal;
{If the modal result of the form is mrOK, we
need to set the "Caption" property of each TLabel.}
    if ModalResult = mrOK then
      SetStrValue(ValueList.Strings.Text);
//      for I:=0 to PropCount-1 do
//        TLabel(GetComponent(I)).Caption := memCaption.Lines.Text;
  finally
    Free;
  end;
end;

function TLinkAliasProperty.GetAttributes: TPropertyAttributes;
begin
  Result := inherited GetAttributes + [paDialog];
end;

procedure TfmLinkAliasEdit.Button3Click(Sender: TObject);
begin
  ValueList.Strings.Add('');
end;

procedure TfmLinkAliasEdit.Button4Click(Sender: TObject);
begin
  ValueList.Strings.Delete(ValueList.Row -1);
end;

end.
